## GtkColorChooserDialog GtkColorChooserDialog — A dialog for choosing colors |

## Functions

GtkWidget * | gtk_color_chooser_dialog_new ()

## Properties

gboolean | show-editor | Read / Write

## Types and Values

struct | GtkColorChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GtkColorChooserDialog

## Implemented Interfaces

GtkColorChooserDialog implements AtkImplementorIface, GtkBuildable and GtkColorChooser.

## Includes

    #include <gtk/gtkunixprint.h>

## Description

The GtkColorChooserDialog widget is a dialog for choosing a color. It implements the GtkColorChooser interface.

## Functions

### gtk_color_chooser_dialog_new ()

    GtkWidget *
    gtk_color_chooser_dialog_new (const gchar *title,
                                  GtkWindow *parent);

Creates a new GtkColorChooserDialog.

#### Parameters

title | Title of the dialog, or `NULL`. | [allow-none]
parent | Transient parent of the dialog, or `NULL`. | [allow-none]

#### Returns

a new GtkColorChooserDialog

Since: 3.4

## Types and Values

### struct GtkColorChooserDialog

    struct GtkColorChooserDialog;

## Property Details

### The `“show-editor”` property

      “show-editor”              gboolean

Show editor.

Flags: Read / Write

Default value: FALSE

## See Also

GtkColorChooser, GtkDialog